<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');

$clie_tipo_doc=ucfirst(limpiar($_POST['clie_tipo_doc']));
$clie_cc=ucfirst(limpiar($_POST['clie_cc']));
$clie_dv=ucfirst(limpiar($_POST['clie_dv']));
$clie_nombre=mb_strtoupper(limpiar($_POST['clie_nombre']));
$clie_representante=mb_strtoupper(limpiar($_POST['clie_representante']));
$clie_correo=mb_strtoupper(limpiar($_POST['clie_correo']));
$clie_telefono=ucfirst(limpiar($_POST['clie_telefono']));
$clie_departamento=ucfirst(limpiar($_POST['clie_departamento']));
$clie_ciudad=ucfirst(limpiar($_POST['clie_ciudad']));
$clie_direccion=mb_strtoupper(limpiar($_POST['clie_direccion']));
$clie_barrio=mb_strtoupper(limpiar($_POST['clie_barrio']));
$clie_contribuyente=mb_strtoupper(limpiar($_POST['clie_contribuyente']));
$clie_regimen=mb_strtoupper(limpiar($_POST['clie_regimen']));
$clie_tarifa=ucfirst(limpiar($_POST['clie_tarifa']));
$clie_facturador=limpiar($_POST['clie_facturador']);

if( empty($_POST['clie_credito'])) 
{
    $clie_credito='0';
    $clie_cupo_credito='0';
    $clie_disponible='0';
} 
 else 
{
    $clie_credito=ucfirst(limpiar($_POST['clie_credito']));
    $clie_cupo_credito=ucfirst(limpiar($_POST['clie_cupo_credito']));
    $clie_disponible=ucfirst(limpiar($_POST['clie_disponible']));       
}


$query=mysqli_query($con,"SELECT * from cliente where clie_cc = '$clie_cc' and empresa='$empresa' ") or die(mysqli_error($con));
$results=mysqli_fetch_array($query);
if(isset($results['clie_cc']))
{
    echo '<div class="alert alert-danger light">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> 
            <i class="icon-verified_user"></i> <strong>Documento!</strong> No Disponible.
        </div>';
}
else
{

    $can=mysqli_query($con,"SELECT MAX(clie_id)as clie_id FROM cliente ") or die(mysqli_error($con)); 
    $dato=mysqli_fetch_array($can);
    $clie_id=$dato['clie_id']+1;

    $registros=mysqli_query($con,"INSERT into cliente (clie_id,clie_cc,clie_dv,clie_tipo_doc,clie_nombre,clie_empresa,clie_direccion,clie_barrio,clie_telefono,clie_correo,clie_departamento,clie_ciudad,clie_contribuyente,clie_regimen,clie_credito,clie_cupo_credito,clie_disponible,clie_nota_credito,tarifas_tar_id,facturador,clie_activo,empresa)
    VALUES ('$clie_id','$clie_cc','$clie_dv','$clie_tipo_doc','$clie_nombre','$clie_representante','$clie_direccion','$clie_barrio','$clie_telefono','$clie_correo','$clie_departamento','$clie_ciudad','$clie_contribuyente','$clie_regimen','$clie_credito','$clie_cupo_credito','$clie_disponible','0','$clie_tarifa','$clie_facturador','si','$empresa')") or die(mysqli_error($con));
   
        
    $regis=mysqli_query($con,"DELETE from cliente_cotizacion_temp where empresa='$empresa' and usuario='$usu_id'") or  die(mysqli_error($con));
    $regis=mysqli_query($con,"INSERT into cliente_cotizacion_temp (cct_clie_id,usuario,empresa)
              VALUES  ('$clie_id','$usu_id','$empresa')") or  die(mysqli_error($con));


    echo '<div class="alert alert-success alert-dismissable">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <strong>Cliente!</strong> Registrado correctamente.
        </div>';
?>
    <script type="text/javascript">
        $('#nuevocliente').modal('hide');
        $('body').removeClass('modal-open');
        load(1);
        loadcliente();
    </script> 
<?php } ?>